OGRE: Ogre::SkeletonPtr Class Reference - OGRE Documentation

Public Member Functions | Protected Member Functions | Protected Attributes

# Ogre::SkeletonPtr Class Reference
[Animation]

Specialisation of SharedPtr to allow SharedPtr to be assigned to SkeletonPtr. More...

`#include <OgreSkeleton.h>`

Inheritance diagram for Ogre::SkeletonPtr:
[legend]

List of all members.

## Public Member Functions
| SkeletonPtr ()
| SkeletonPtr (Skeleton *rep)
| SkeletonPtr (const SkeletonPtr &r)
| SkeletonPtr (const ResourcePtr &r)
SkeletonPtr & | operator= (const ResourcePtr &r)
| Operator used to convert a ResourcePtr to a SkeletonPtr.
Skeleton & | operator* () const
Skeleton * | operator-> () const
Skeleton * | get () const
void | bind (Skeleton *rep, SharedPtrFreeMethod inFreeMethod=SPFM_DELETE)
| Binds rep to the SharedPtr.
bool | unique () const
unsigned int | useCount () const
unsigned int * | useCountPointer () const
Skeleton * | getPointer () const
SharedPtrFreeMethod | freeMethod () const
bool | isNull (void) const
void | setNull (void)
## Protected Member Functions
void | release (void)
virtual void | destroy (void)
virtual void | swap (SharedPtr< Skeleton > &other)
## Protected Attributes
Skeleton * | pRep
unsigned int * | pUseCount
SharedPtrFreeMethod | useFreeMethod

## Detailed Description

Specialisation of SharedPtr to allow SharedPtr to be assigned to SkeletonPtr.

Note:
  Has to be a subclass since we need operator=. We could templatise this instead of repeating per Resource subclass, except to do so requires a form VC6 does not support i.e. ResourceSubclassPtr<T> : public SharedPtr<T>

Definition at line 461 of file OgreSkeleton.h.

## Constructor & Destructor Documentation

Ogre::SkeletonPtr::SkeletonPtr | ( |  | ) |

Definition at line 464 of file OgreSkeleton.h.

Ogre::SkeletonPtr::SkeletonPtr | ( | Skeleton * | rep | ) | `[explicit]`

Definition at line 465 of file OgreSkeleton.h.

Ogre::SkeletonPtr::SkeletonPtr | ( | const SkeletonPtr & | r | ) |

Definition at line 466 of file OgreSkeleton.h.

Ogre::SkeletonPtr::SkeletonPtr | ( | const ResourcePtr & | r | ) |

Definition at line 467 of file OgreSkeleton.h.

References Ogre::SharedPtr< T >::getPointer(), OGRE_COPY_AUTO_SHARED_MUTEX, OGRE_LOCK_MUTEX, OGRE_MUTEX_CONDITIONAL, and Ogre::SharedPtr< T >::useCountPointer().

## Member Function Documentation

void Ogre::SharedPtr< Skeleton >::bind | ( | Skeleton * | rep,
|  | SharedPtrFreeMethod | inFreeMethod = `SPFM_DELETE` |
| ) |  |  | `[inherited]`

Binds rep to the SharedPtr.

Remarks:
  Assumes that the SharedPtr is uninitialised!

Definition at line 167 of file OgreSharedPtr.h.

References Ogre::MEMCATEGORY_GENERAL, OGRE_LOCK_AUTO_SHARED_MUTEX, OGRE_NEW_AUTO_SHARED_MUTEX, OGRE_NEW_T, Ogre::SharedPtr< T >::pRep, Ogre::SharedPtr< T >::pUseCount, and Ogre::SharedPtr< T >::useFreeMethod.

virtual void Ogre::SharedPtr< Skeleton >::destroy | ( | void |  | ) | `[protected, virtual, inherited]`

Definition at line 223 of file OgreSharedPtr.h.

References Ogre::MEMCATEGORY_GENERAL, OGRE_DELETE, OGRE_DELETE_AUTO_SHARED_MUTEX, OGRE_DELETE_T, OGRE_FREE, Ogre::SharedPtr< T >::pRep, Ogre::SharedPtr< T >::pUseCount, Ogre::SPFM_DELETE, Ogre::SPFM_DELETE_T, Ogre::SPFM_FREE, and Ogre::SharedPtr< T >::useFreeMethod.

SharedPtrFreeMethod Ogre::SharedPtr< Skeleton >::freeMethod | ( |  | ) | const`[inherited]`

Definition at line 181 of file OgreSharedPtr.h.

References Ogre::SharedPtr< T >::useFreeMethod.

Skeleton * Ogre::SharedPtr< Skeleton >::get | ( | void |  | ) | const`[inherited]`

Definition at line 161 of file OgreSharedPtr.h.

References Ogre::SharedPtr< T >::pRep.

Skeleton * Ogre::SharedPtr< Skeleton >::getPointer | ( |  | ) | const`[inherited]`

Definition at line 180 of file OgreSharedPtr.h.

References Ogre::SharedPtr< T >::pRep.

bool Ogre::SharedPtr< Skeleton >::isNull | ( | void |  | ) | const`[inherited]`

Definition at line 183 of file OgreSharedPtr.h.

References Ogre::SharedPtr< T >::pRep.

Skeleton & Ogre::SharedPtr< Skeleton >::operator* | ( |  | ) | const`[inherited]`

Definition at line 159 of file OgreSharedPtr.h.

References Ogre::SharedPtr< T >::pRep.

Skeleton * Ogre::SharedPtr< Skeleton >::operator-> | ( |  | ) | const`[inherited]`

Definition at line 160 of file OgreSharedPtr.h.

References Ogre::SharedPtr< T >::pRep.

SkeletonPtr& Ogre::SkeletonPtr::operator= | ( | const ResourcePtr & | r | ) |

Operator used to convert a ResourcePtr to a SkeletonPtr.

Definition at line 484 of file OgreSkeleton.h.

References Ogre::SharedPtr< T >::getPointer(), Ogre::SharedPtr< T >::isNull(), OGRE_COPY_AUTO_SHARED_MUTEX, OGRE_LOCK_MUTEX, OGRE_MUTEX_CONDITIONAL, and Ogre::SharedPtr< T >::useCountPointer().

void Ogre::SharedPtr< Skeleton >::release | ( | void |  | ) | `[protected, inherited]`

Definition at line 197 of file OgreSharedPtr.h.

References Ogre::SharedPtr< T >::destroy(), OGRE_AUTO_MUTEX_NAME, OGRE_LOCK_AUTO_SHARED_MUTEX, OGRE_MUTEX_CONDITIONAL, OGRE_SET_AUTO_SHARED_MUTEX_NULL, and Ogre::SharedPtr< T >::pUseCount.

void Ogre::SharedPtr< Skeleton >::setNull | ( | void |  | ) | `[inherited]`

Definition at line 185 of file OgreSharedPtr.h.

References Ogre::SharedPtr< T >::pRep, Ogre::SharedPtr< T >::pUseCount, and Ogre::SharedPtr< T >::release().

virtual void Ogre::SharedPtr< Skeleton >::swap | ( | SharedPtr< Skeleton > & | other | ) | `[protected, virtual, inherited]`

Definition at line 247 of file OgreSharedPtr.h.

References OGRE_AUTO_MUTEX_NAME, Ogre::SharedPtr< T >::pRep, Ogre::SharedPtr< T >::pUseCount, Ogre::SharedPtr< T >::swap(), and Ogre::SharedPtr< T >::useFreeMethod.

bool Ogre::SharedPtr< Skeleton >::unique | ( |  | ) | const`[inherited]`

Definition at line 176 of file OgreSharedPtr.h.

References OGRE_LOCK_AUTO_SHARED_MUTEX, and Ogre::SharedPtr< T >::pUseCount.

unsigned int Ogre::SharedPtr< Skeleton >::useCount | ( |  | ) | const`[inherited]`

Definition at line 177 of file OgreSharedPtr.h.

References OGRE_LOCK_AUTO_SHARED_MUTEX, and Ogre::SharedPtr< T >::pUseCount.

unsigned int* Ogre::SharedPtr< Skeleton >::useCountPointer | ( |  | ) | const`[inherited]`

Definition at line 178 of file OgreSharedPtr.h.

References Ogre::SharedPtr< T >::pUseCount.

## Member Data Documentation

Skeleton * Ogre::SharedPtr< Skeleton >::pRep`[protected, inherited]`

Definition at line 63 of file OgreSharedPtr.h.

unsigned int* Ogre::SharedPtr< Skeleton >::pUseCount`[protected, inherited]`

Definition at line 64 of file OgreSharedPtr.h.

SharedPtrFreeMethod Ogre::SharedPtr< Skeleton >::useFreeMethod`[protected, inherited]`

Definition at line 65 of file OgreSharedPtr.h.

The documentation for this class was generated from the following file:

- OgreSkeleton.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:02